<template>
  <div class="modal fade show">
    <api-data
      :endpoint="`/storage/kex/${kex}/tables/${table}/preview`"
      v-model="preview"
    />
    <div class="modal-dialog modal-dialog-scrollable modal-fullscreen">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{{ kex }}.{{ table }} - Table Preview</h5>
          <button
            type="button"
            class="btn-close"
            @click="$emit('close')"
          ></button>
        </div>
        <div class="modal-body">
          <table class="table">
            <thead>
              <tr>
                <th v-for="column in schema" :key="column">{{ column }}</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="row in preview" :key="row">
                <td v-for="column in schema" :key="column">
                  {{ row[column] }}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "TablePreview",
  data() {
    return {
      preview: [],
    };
  },
  emits: ["close"],
  props: {
    table: String,
    kex: String,
    schema: { type: Array, default: () => [] },
  },
};
</script>

<style></style>
